var buzzBookingDate = '';
jQuery(function($) {
	LateBookingsSelectTime();
	LateBookingsSelectDate();
});

function LateBookingsSelectTime() {
	$(document).on('change', '.js-late-booking-select-time', function() {
		var $package = $(this).closest('.js-listing-highlight');
		var $button = $package.find('.button');
		if ($(this).val()) {
			$package.addClass('js-listing-highlight--highlighted');
			$button.removeClass('hidden');
		} else {
			$package.removeClass('js-listing-highlight--highlighted');
			$button.addClass('hidden');
		}
	});
}

function LateBookingsSelectDate() {
	var dateFormat = require('dateformat');
	var $date = $('.js-late-booking-date');

	var pageLoad = true;

	$(document).on('change', $date, function() {
		if (buzzBookingDate !== $date.val()) {
			buzzBookingDate = $date.val();
			$('.js-date-selected').text(dateFormat($date.val(), 'd mmmm'));
			$.ajax({
				'cache': false,
				'url': $date.data('src') + '/' + $date.val()
			}).done(function(data){
				$('.js-late-booking-deals').html(data);
				customFormElements();
			});
		}
	});
	$date.trigger('change');
}
