<?= $this->Form->create(null, ['url' => ['action' => 'index', 'ajax' => false]]) ?>
<div class="listing listing--activity listing--booking js-listing-highlight">
	<div class="row">
		<div class="col-xs-12 col-md-2 xs-hidden sm-hidden">
			<?php
				$img = (empty($data['Image'][0])) ? 'no-image.png' : $data['Image'][0];
				echo $this->Image->resize($img, ['width' => 670, 'height' => 510, 'crop' => true, 'class' => 'listing__image', 'sharpen' => false, 'transparent' => true]);
			?>
		</div>

		<div class="col-xs-12 col-sm-9 col-md-6">
			<div class="row">
				<div class="col-xs-12 col-sm-8">
					<h3>
						<?= h($this->I18n->translate($data, 'name')); ?>
					</h3>
				</div>
				<div class="col-xs-12 col-sm-4 xs-text-left text-right fa--senary">
					<?php if ($data['participants'] < 5): ?>
						<?php for ($i = 0; $i < $data['participants']; $i++): ?>
							<i class="fa fa-user"></i>
						<?php endfor; ?>
					<?php else: ?>
						<i class="fa fa-users"></i>
					<?php endif; ?>
					<strong><?= $data['participants']; ?></strong>
				</div>
			</div>

			<?= $this->I18n->translate($data, 'description'); ?>
		</div>

		<div class="col-xs-12 col-sm-3 col-md-4 text-center">
			<span class="listing__price">
				<h3 class="color--offer"><?= $this->Number->price($data['price']) ?><br /></h3>
				<?= __d('buzz_late_bookings', 'Deal Price'); ?>
			</span>
			<span class="listing__price">
				<?= $this->Form->hidden('LateBooking.key', ['value' => $key]); ?>
				<?= $this->Form->hidden('LateBooking.date', ['value' => $date]); ?>
				<?= $this->Form->input('LateBooking.time', ['label' => __d('buzz_late_bookings', 'Select Time'), 'options' => $times, 'empty' => '--:--', 'value' => 0, 'class' => 'js-late-booking-select-time', 'id' => false]); ?>
			</span>
			<div class="row">
				<?= $this->Form->button(__d('buzz_bookings', 'Proceed'), ['class' => 'button hidden']); ?>
			</div>
		</div>
	</div>
</div>
<?= $this->Form->end() ?>
